/* mounttable.hh
 * This file belongs to Worker, a file manager for UN*X/X11.
 * Copyright (C) 2009 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef MOUNTTABLE_HH
#define MOUNTTABLE_HH

#include "wdefines.h"
#include <string>
#include <list>

class MountTableEntry;

class MountTable
{
public:
    virtual ~MountTable() = 0;

    virtual std::list<MountTableEntry> getEntries() = 0;
    virtual bool containsDevice( const std::string &dev ) = 0;
    virtual bool findDevice( const std::string &dev,
                             MountTableEntry &return_entry ) = 0;
    virtual void update() = 0;
};

#endif
